thrift-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex-Vol <...@git.apache.org>
Subject [GitHub] thrift issue #1468: Thrift 4259: Thrift does not compile due to Ant Maven ta...
Date Thu, 18 Jan 2018 19:13:43 GMT
Github user Alex-Vol commented on the issue:

    https://github.com/apache/thrift/pull/1468
  
    I really hope AppVeyor works now. For some reason the CMakeLists.txt in Java had an implicit
dependency on the compiler but did not have a target dependency declaration. The new build
requires the compiler because the distribution includes the test classes JAR file and without
the compiler to generate the unit test Thrift classes it cannot be compiled. I am not sure
via what mechanism the previous CMake operations managed to avoid this but IMHO declaring
the target dependency in the CmakeLists.txt makes this very direct and explicit.


---

Mime
View raw message